HttpRequest::setPostFiles
HttpRequest::setPutFile
HttpRequest
PHP Manual

# HttpRequest::setPutData

(PECL pecl_http >= 0.25.0)

HttpRequest::setPutData — Set put data

### Description

public bool HttpRequest::setPutData ([ string `$put_data` ] )

Set PUT data to send, overwriting previously set PUT data.

Affects only PUT requests.

Only either PUT data or PUT file can be used for each request. PUT data has higher precedence and will be used even if a PUT file is set.

### Parameters

`put_data`

  the data to upload

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setPostFiles
HttpRequest::setPutFile
HttpRequest
PHP Manual